<div data-ng-controller="controllerLegend" data-on-key-down="nevermind()" >      
    <div style="margin: 1em 2em">
        <div id="legenddivid" style="margin-left: auto; margin-right:auto">
         
        
        </div>  
    </div>
</div>